Arch: Rimuovi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Remove and the translation is 40% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Arch Add.svg Aggiungi componente Pagina precedente:
Pagina successiva: Ispeziona Arch Survey.svg Arrow-right.svg

Arch Remove.svg Rimuovi

Posizione nel menu
Arch → Rimuovi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Taglia con una linea, Taglia con un piano, Aggiungi

Descrizione

Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:

  • Rimuovere un sotto-componente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando Arch Add.svg Aggiungi.
  • Rimuovere un oggetto basato su forme, tipo un Arch Wall.svg muro o una Arch Structure.svg struttura, da un oggetto Architettura

La controparte di questo strumento è lo strumento Arch Add.svg Aggiungi.

Arch Remove example.jpg

Un parallelepipedo sottratto da un muro, lasciando un buco in esso.

Utilizzo

  1. Selezionare un sotto-componente all'interno di un oggetto Architettura.
  2. Premere il pulsante Arch Remove.svg Rimuovi.

Oppure

  1. Selezionare gli oggetti da sottrarre, l'ultimo oggetto selezionato deve l'oggetto Arch dal quale verranno sottratti gli altri oggetti.
  2. Premere il pulsante Arch Remove.svg Rimuovi.

Lo strumento Rimuovi può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

removeComponents(objectsList, host=None)
  • Rimuove dal genitore il componente o i componenti della lista objectsList fornita.
  • Se viene specificato un oggetto host, questa funzione prova invece ad aggiungere gli oggetti alla objectsList, come fori a host.

Esempio:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Add.svg Aggiungi componente Pagina precedente:
Pagina successiva: Ispeziona Arch Survey.svg Arrow-right.svg